%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		entertainer
Version:	0.4.2
Release:	3%{?dist}
Summary:	A simple mediacenter based on clutter
Group:		Applications/Multimedia
License:	GPLv2
URL:		https://launchpad.net/entertainer
Source0:	http://launchpad.net/entertainer/entertainer-0.4/entertainer-0.4.2/+download/entertainer-0.4.2.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

BuildRequires:	python-devel
BuildRequires:	gettext
BuildRequires:	desktop-file-utils

#Gathering information about media from the internet
Requires:	python-CDDB
Requires:	python-imdb
Requires:	python-feedparser
#Python GTK bindings
Requires:	pygtk2
Requires:	pygtk2-libglade
Requires:	pygobject2
#Media playback and processing
Requires:	gstreamer-python
Requires:	python-imaging
Requires:	python-vorbis
Requires:	python-eyed3
#We need python-storm-sqlite because python-storm pulls in the mysql backend by default
Requires:	python-storm-sqlite
Requires:	python-twisted
#The pyclutter modules needed for interface and playback
Requires:	pyclutter-gtk
Requires:	pyclutter-gst
Requires:	pyclutter-cairo
#Needed for hicolor directory ownership
Requires:	hicolor-icon-theme


%description
Entertainer is a simple and easy-to-use media center solution for
Gnome and XFCE desktop environments. It uses the gstreamer framework
for multimedia playback and is based on clutter.


%prep
%setup -q
#Dropping gtk-update-icon-cache for mocks sake
sed -i /gtk-update-icon-cache/d setup.py

#There are some unnecessary prebangs. I'm trying to get rid of them upstream
#https://bugs.launchpad.net/entertainer/+bug/404372
cd entertainerlib
sed -i '1{/^#!/d}' backend/backend_server.py utils/preferences_dialog.py
sed -i '1{/^#/d}' utils/content_management_dialog.py frontend/translation_setup.py


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}
%find_lang %{name}
desktop-file-validate %{buildroot}/%{_datadir}/applications/entertainer.desktop


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc docs/COPYING docs/developer_documentation.pdf docs/entertainer-depgraph.png
%{_bindir}/entertainer*
%{python_sitelib}/entertainerlib/
%{python_sitelib}/Entertainer-*.egg-info
%{_datadir}/applications/entertainer.desktop
%{_datadir}/entertainer/
#We have .png and .svg files:
%{_datadir}/icons/hicolor/*/apps/entertainer.???
%{_mandir}/man1/entertainer.1.*


#Updating the Icon Cache
%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
#Icon Cache updated

%changelog
* Sat Jul 25 2009 Julian Aloofi <julian at, fedoraproject.org> 0.4.2-3
- Added more comments
- Divided Requires: in different sections

* Sat Jul 25 2009 Julian Aloofi <julian at, fedoraproject.org> 0.4.2-2
- Added Icon Cache update and included hicoler-icon-theme Requires
- Updated files section


* Sat Jul 25 2009 Julian Aloofi <julian at, fedoraproject.org> 0.4.2-1
- Initial Fedora package
